# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "battleship/version"

Gem::Specification.new do |s|
  s.name = "rb_battleship"
  s.version = Battleship::VERSION
  s.authors = ["costajob"]
  s.email = ["costajob@gmail.com"]
  s.license = "MIT"
  s.summary = "Implementation of the Battleship code kata"
  s.homepage = "https://github.com/costajob/battleship.git"
  s.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.bindir = "bin"
  s.executables << "battleship" 
  s.require_paths = ["lib"]
  s.required_ruby_version = ">= 2.3.1"
  s.add_development_dependency "bundler", "~> 1.16"
  s.add_development_dependency "rake", "~> 12.3"
  s.add_development_dependency "minitest", "~> 5.1"
end
